from PIL import Image
import numpy as np
from scipy import fftpack
import matplotlib.pyplot as plt

image = np.array(Image.open('circle.png').convert('L'))# / 255

# fft of image
fft1 = fftpack.fftshift(fftpack.fft2(image))

# save the image
toDisplay = np.log10(abs(fft1))
plt.imshow(toDisplay)
plt.show()
plt.imsave('ifft1.png', toDisplay)